Subject: Re: bug#4533: 23.1: reverting fails to update line ending mode line

From: Chong Yidong <[email-masked]>
Date: Sun, 10 Feb 2013 11:09:51 +0800

Chong Yidong <[email-masked]> writes:

>> So maybe the problem is that C-x C-s should not set
>> buffer-file-coding-system-explicit (unless the C-x C-s prompted the user
>> to choose  a coding-system, I guess).
>
> I see.  The comments in mule.el say that
>
> ;; This variable is set in these three cases:
> ;;   (1) A file is read by a coding system specified explicitly.
> ;;       after-insert-file-set-coding sets the car of this value to
> ;;       coding-system-for-read, and sets the cdr to nil.
> ;;   (2) A buffer is saved.
> ;;       After writing, basic-save-buffer-1 sets the car of this value
> ;;       to last-coding-system-used.
> ;;   (3) set-buffer-file-coding-system is called.
> ;;       The cdr of this value is set to the specified coding system.
> ;; This variable is used for decoding in revert-buffer and encoding in
> ;; select-safe-coding-system.
>
> Indeed, this seems to imply that (2) can be omitted, as you suggest,
> since "force selecting" a coding system should trigger (1) and (3).  Is
> there any reason that (2) was originally included?

Since there's been no response, and my testing showed no ill effects to
this change, I went ahead and committed it in the trunk.  Let's see how
it shakes out.